%global modulename npm-registry-client

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-npm-registry-client
Version:        8.6.0
Release:        2%{?dist}
Summary:        Client for the npm registry

License:        ISC
URL:            https://github.com/npm/npm-registry-client#readme
Source0:        https://registry.npmjs.org/npm-registry-client/-/npm-registry-client-8.6.0.tgz



BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(concat-stream) >= 1.5.2 with npmlib(concat-stream) < 2.0.0))
BuildRequires:  ((npmlib(graceful-fs) >= 4.1.6 with npmlib(graceful-fs) < 5.0.0))
BuildRequires:  ((npmlib(normalize-package-data) >= 1.0.1 with npmlib(normalize-package-data) < 1.1.0) or (npmlib(normalize-package-data) >= 2.0.0 with npmlib(normalize-package-data) < 3.0.0))
BuildRequires:  ((npmlib(npm-package-arg) >= 3.0.0 with npmlib(npm-package-arg) < 4.0.0) or (npmlib(npm-package-arg) >= 4.0.0 with npmlib(npm-package-arg) < 5.0.0) or (npmlib(npm-package-arg) >= 5.0.0 with npmlib(npm-package-arg) < 6.0.0) or (npmlib(npm-package-arg) >= 6.0.0 with npmlib(npm-package-arg) < 7.0.0))
BuildRequires:  ((npmlib(once) >= 1.3.3 with npmlib(once) < 2.0.0))
BuildRequires:  ((npmlib(request) >= 2.74.0 with npmlib(request) < 3.0.0))
BuildRequires:  ((npmlib(retry) >= 0.10.0 with npmlib(retry) < 0.11.0))
BuildRequires:  ((npmlib(safe-buffer) >= 5.1.1 with npmlib(safe-buffer) < 6.0.0))
BuildRequires:  ((npmlib(semver) >= 2.0.0 with npmlib(semver) < 3.0.0 with npmlib(semver) >= 2.2.1) or (npmlib(semver) >= 3.0.0 with npmlib(semver) < 4.0.0) or (npmlib(semver) >= 4.0.0 with npmlib(semver) < 5.0.0) or (npmlib(semver) >= 5.0.0 with npmlib(semver) < 6.0.0))
BuildRequires:  ((npmlib(slide) >= 1.1.3 with npmlib(slide) < 2.0.0))
BuildRequires:  ((npmlib(ssri) >= 5.2.4 with npmlib(ssri) < 6.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Client for the npm registry

%package 8.6.0
Summary:        Client for the npm registry


%description 8.6.0
Client for the npm registry

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
%{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 8.6.0
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Thu Dec 6 2018 npm2srpm <dshea@redhat.com> - 8.6.0-2
- Package automatically generated by npm2srpm
